BEGIN TRANSACTION

 go

set ANSI_DEFAULTS ON

go

SET QUOTED_IDENTIFIER OFF

go

SET ANSI_NULLS OFF

go

UPDATE PLUGIN SET LIBRARY_VERSION='1.2' WHERE PLUGIN_NAME='circaDateAttrScoring';
go
SET IDENTITY_INSERT PLUGIN ON 
INSERT INTO PLUGIN (PLUGIN_ID, PLUGIN_NAME, PLUGIN_TYPE, LIBRARY_NAME, LIBRARY_VERSION, SYSTEM_FLAG) VALUES (4, 'nameAttrScoring', 'SCORING', 'nameAttrScoring', '1.0', 'Y')
SET IDENTITY_INSERT PLUGIN OFF 
go
UPDATE UMF_OUTPUT_RULE SET SOURCE_TYPE ='2', SOURCE ='SELECT DISTINCT ENTITY_ID FROM DSRC_ACCT WHERE ENTITY_ID =?', SEGMENT_NAME = null WHERE RULE_ID = 10505 AND FORMAT_ID = 10045

go


IF NOT EXISTS (SELECT 1 FROM UMF_OUTPUT_PARAM WHERE RULE_ID='10505') INSERT INTO UMF_OUTPUT_PARAM (RULE_ID, PARAM_SEQ,DATA_TYPE,SOURCE_TYPE,SOURCE)
           VALUES (10505,1,'INT','1','/*/*/ENTITY_ID') 
go

CREATE PROCEDURE dbo.RESET_DQM_RULE_ID 
AS 
  DECLARE @sequenceValue int
  DECLARE @sqlStr nvarchar(1000)
  
  DECLARE @sequenceName varchar(100)
  
  SELECT @sequenceValue = MAX(RULE_ID) + 100000001 FROM DQM_RULE;

      BEGIN TRANSACTION

  SET @sqlStr = 'DELETE FROM DQM_RULE_PARAM WHERE RULE_ID IN (SELECT RULE_ID FROM DQM_RULE WHERE RULE_SET_ID != 0) ';
  Exec (@sqlStr)  

  SET @sqlStr = 'DELETE FROM DQM_RULE WHERE RULE_SET_ID != 0 ';
  Exec (@sqlStr)  

  SET @sqlStr = 'ALTER TABLE DQM_RULE DROP CONSTRAINT PK_DQM_RULE_1_1';
  Exec (@sqlStr)

  SET @sqlStr = 'EXEC sp_rename ''DQM_RULE'',''DQM_RULE_ORIGINAL''';
  Exec (@sqlStr)

  SET @sqlStr = 'CREATE TABLE TEMP_DQM_RULE_RESERVE (RULE_ID bigint NOT NULL, SEGMENT_NAME VARCHAR(255) NOT NULL, RULE_ORDER smallint DEFAULT 1 NOT NULL, TAG_NAME VARCHAR(255) NOT NULL, 
                 FUNC_NUM smallint NOT NULL, FIX VARCHAR(1) DEFAULT ''Y'' NULL, ENABLED VARCHAR(1) DEFAULT ''Y'' NULL, RULE_FILTER VARCHAR(255) NULL, UMF_EXCLUDE VARCHAR(255) NULL, RULE_SET_ID bigint DEFAULT 0 NOT NULL)';
  Exec (@sqlStr)

  SET @sqlStr = 'INSERT INTO TEMP_DQM_RULE_RESERVE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,RULE_FILTER,FIX,ENABLED,UMF_EXCLUDE,RULE_SET_ID) 
                 SELECT RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,RULE_FILTER,FIX,ENABLED,UMF_EXCLUDE,RULE_SET_ID FROM DQM_RULE_ORIGINAL';
  Exec (@sqlStr)  

  SET @sqlStr = 'UPDATE TEMP_DQM_RULE_RESERVE SET RULE_ID = RULE_ID + 100000000';
  Exec (@sqlStr)  

  SET @sqlStr = 'UPDATE DQM_RULE_PARAM SET RULE_ID = RULE_ID + 100000000';
  Exec (@sqlStr)  

  SET @sqlStr = 'CREATE TABLE DQM_RULE (RULE_ID bigint IDENTITY(' + CAST(@sequenceValue as varchar) + ',1) NOT NULL, SEGMENT_NAME VARCHAR(255) NOT NULL, RULE_ORDER smallint
                 DEFAULT 1 NOT NULL, TAG_NAME VARCHAR(255) NOT NULL, FUNC_NUM smallint NOT NULL, FIX VARCHAR(1) DEFAULT ''Y'' NULL, ENABLED VARCHAR(1) DEFAULT ''Y'' NULL, RULE_FILTER VARCHAR(255) NULL, UMF_EXCLUDE VARCHAR(255) NULL, RULE_SET_ID bigint DEFAULT 0 NOT NULL)';
  Exec (@sqlStr)

  SET @sqlStr = 'ALTER TABLE DQM_RULE ADD CONSTRAINT PK_DQM_RULE_1_1 PRIMARY KEY NONCLUSTERED (RULE_ID)';
  Exec (@sqlStr)

  SET @sqlStr = 'SET IDENTITY_INSERT DQM_RULE ON; INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,RULE_FILTER,FIX,ENABLED,UMF_EXCLUDE,RULE_SET_ID) 
                 SELECT RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,RULE_FILTER,FIX,ENABLED,UMF_EXCLUDE,RULE_SET_ID FROM TEMP_DQM_RULE_RESERVE; SET IDENTITY_INSERT DQM_RULE OFF';
  Exec (@sqlStr)  

  SET @sqlStr = 'DROP TABLE TEMP_DQM_RULE_RESERVE';
  Exec (@sqlStr)  

      COMMIT TRANSACTION

 
go
-- BEGIN ASSUMING EXISTS: index, IX_DQM_RULE
DROP INDEX DQM_RULE.IX_DQM_RULE
-- END ASSUMING EXISTS: index, IX_DQM_RULE
-- BEGIN ASSUMING EXISTS: index, IX_DQM_RUL_BY_SET
DROP INDEX DQM_RULE.IX_DQM_RUL_BY_SET
-- END ASSUMING EXISTS: index, IX_DQM_RUL_BY_SET
 EXEC RESET_DQM_RULE_ID 
CREATE INDEX IX_DQM_RULE ON dbo.DQM_RULE(SEGMENT_NAME, RULE_ORDER) 
CREATE INDEX IX_DQM_RUL_BY_SET ON dbo.DQM_RULE(RULE_SET_ID, SEGMENT_NAME, RULE_ORDER) 
 DROP PROCEDURE RESET_DQM_RULE_ID 
SET IDENTITY_INSERT DQM_RULE ON
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10000, 'ROOT', 1, 'LOAD_GROUP', 110, 'Y', 'Y', null, null, 100000)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10005, 'ROOT', 5, 'LOAD_DATE', 110, 'Y', 'Y', null, null, 100000)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10010, 'ROOT', 10, 'LOAD_GROUP', 145, 'Y', 'Y', null, null, 100000)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10015, 'ROOT', 15, 'LOAD_KEY', 190, 'Y', 'Y', null, null, 100000)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10020, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100005)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10025, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100010)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10030, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100015)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10035, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100020)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10040, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100025)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10045, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100030)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10050, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100035)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10055, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100040)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10060, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100045)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10065, 'ROOT', 5, 'ENTITY_ID', 411, 'N', 'Y', null, null, 100045)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10067, 'ROOT', 10, 'ENTITY_ID', 110, 'Y', 'Y', null, null, 100045)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10070, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100050)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10075, 'ROOT', 5, 'ENTITY_ID', 411, 'N', 'Y', null, null, 100050)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10077, 'ROOT', 10, 'ENTITY_ID', 110, 'Y', 'Y', null, null, 100050)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10080, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100055)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10085, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100060)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10090, 'ROOT', 5, 'ENTITY_ID', 411, 'N', 'Y', null, null, 100060)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10092, 'ROOT', 10, 'ENTITY_ID', 110, 'Y', 'Y', null, null, 100060)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10095, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100065)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10100, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100070)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10105, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100075)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10110, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100080)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10115, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100085)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10120, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100090)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10125, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100095)
INSERT INTO DQM_RULE (RULE_ID,SEGMENT_NAME,RULE_ORDER,TAG_NAME,FUNC_NUM,FIX,ENABLED,RULE_FILTER,UMF_EXCLUDE,RULE_SET_ID) VALUES (10130, 'ROOT', 1, 'FORMAT_CODE', 110, 'Y', 'Y', null, null, 100100)
SET IDENTITY_INSERT DQM_RULE OFF
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10000, 1, 'SOA')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10000, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10000, 3, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10005, 1, 'DATE')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10005, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10005, 3, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10010, 1, 'LOAD_KEY')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10010, 2, 'LOAD_GROUP')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10010, 3, 'LOAD_DATE')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10015, 1, 'UMF_LOAD_GROUP')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10015, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10015, 3, 'LOAD_ID')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10015, 4, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10020, 1, 'SOA_ROLES_RESPONSE')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10020, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10020, 3, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10025, 1, 'SOA_ROLE_ALERT_RULES_RESPONSE')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10025, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10025, 3, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10030, 1, 'SOA_NUMBER_TYPES_RESPONSE')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10030, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10030, 3, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10035, 1, 'SOA_CHARACTERISTIC_TYPES_RESPONSE')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10035, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10035, 3, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10040, 1, 'SOA_NAME_TYPES_RESPONSE')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10040, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10040, 3, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10045, 1, 'SOA_ADDRESS_TYPES_RESPONSE')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10045, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10045, 3, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10050, 1, 'SOA_ALERT_DISPOSITIONS_RESPONSE')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10050, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10050, 3, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10055, 1, 'SOA_ROLE_ALERT_BY_ID_RESPONSE')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10055, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10055, 3, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10060, 1, 'SOA_ROLE_ALERTS_BY_ENTITY_RESPONSE')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10060, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10060, 3, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10067, 1, '0')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10067, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10067, 3, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10070, 1, 'SOA_ENTITY_DETAIL_RESPONSE')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10070, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10070, 3, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10077, 1, '0')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10077, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10077, 3, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10080, 1, 'SOA_IDENTITY_DETAIL_RESPONSE')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10080, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10080, 3, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10085, 1, 'SOA_IDENTITIES_FOR_ENTITY_RESPONSE')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10085, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10085, 3, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10092, 1, '0')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10092, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10092, 3, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10095, 1, 'SOA_ADD_ALERT_COMMENT_RESPONSE')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10095, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10095, 3, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10100, 1, 'SOA_ASSIGN_ALERT_RESPONSE')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10100, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10100, 3, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10105, 1, 'SOA_CLOSE_ALERT_RESPONSE')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10105, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10105, 3, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10110, 1, 'SOA_UNASSIGN_ALERT_RESPONSE')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10110, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10110, 3, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10115, 1, 'SOA_REOPEN_ALERT_RESPONSE')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10115, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10115, 3, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10120, 1, 'SOA_DISPOSITION_ALERT_RESPONSE')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10120, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10120, 3, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10125, 1, 'SOA_ROLE_ALERTS_RESPONSE')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10125, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10125, 3, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10130, 1, 'SOA_NEXT_IDENTITY_VALUE_RESPONSE')
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10130, 2, NULL)
INSERT INTO DQM_RULE_PARAM (RULE_ID,PARAMETER_INDEX,PARAMETER_VALUE) VALUES (10130, 3, NULL)
 
go


COMMIT 

 go

--DROP VIEW VIS_INBOX_GET_RULE
--GO
Create view VIS_INBOX_GET_RULE
AS
select 
     sc.conflict_id,
    ( case
         when degree_of_sep > 1
          then -1
         when sc.degree_of_sep = 0 and  exists (select 1 from er_entity_score es
                WHERE sc.degree_of_sep = 0 
                       and sc.sep_test_id = es.er_id
	               and sc.conf_entity1 = es.matched_entity_id
                       and es.like_score = 100)
          then (select min(es.mm_rule_id) from er_entity_score es
                WHERE sc.degree_of_sep = 0 
                       and sc.sep_test_id = es.er_id
	               and sc.conf_entity1 = es.matched_entity_id
                       and es.like_score = 100)
         when sc.degree_of_sep = 0 and  exists (select 1  from er_history h,  er_entity_score es
                WHERE sc.degree_of_sep = 0
                       and h.dsrc_acct_id = (select h2.dsrc_acct_id from er_history h2 where er_id = sc.sep_test_id)
                       and es.er_id = h.er_id
                       and es.matched_entity_id = sc.conf_entity1 
  		       and es.like_score = 100) 
        then (select min(mm_rule_id)  from er_history h, er_entity_score es
                WHERE sc.degree_of_sep = 0
                       and h.dsrc_acct_id = (select h2.dsrc_acct_id from er_history h2 where er_id = sc.sep_test_id)
                       and es.er_id = h.er_id
                       and es.matched_entity_id = sc.conf_entity1 
      		       and es.like_score = 100)
       when sc.degree_of_sep = 0 and exists (select 1 from er_relocation re, sep_conflict sc2, er_entity_score es 
                WHERE sc.degree_of_sep = 0 
                      and sc2.degree_of_sep = 0 
                      and re.dest_entity_id = sc.conf_entity1
                      and re.org_entity_id = sc2.conf_entity1
                      and sc2.sep_test_id = es.er_id
                      and es.matched_entity_id =sc2.conf_entity1) 
       then (select min(es.mm_rule_id)  from er_relocation re, sep_conflict sc2, er_entity_score es 
                WHERE sc.degree_of_sep = 0 
                      and sc2.degree_of_sep = 0 
                      and re.dest_entity_id = sc.conf_entity1
                      and re.org_entity_id = sc2.conf_entity1
                      and sc2.sep_test_id = es.er_id
                      and es.matched_entity_id =sc2.conf_entity1) 
        when sc.degree_of_sep = 1 and exists (select 1 from er_entity_score es, sep_conflict_rel cr 
                 where sc.degree_of_sep = 1 
                      and cr.conflict_id = sc.conflict_id
                      and cr.match_id = es.er_id
                      and cr.child_entity_id <> -1
                      and (es.matched_entity_id = sc.conf_entity1
                         or es.matched_entity_id = sc.conf_entity2)
                      and sc.weak_rel_score = es.rel_score 
                      and sc.weak_like_score = es.like_score) 
             then  (select min(mm_rule_id) from er_entity_score es, sep_conflict_rel cr
                   where sc.degree_of_sep = 1 and cr.conflict_id = sc.conflict_id
                        and cr.match_id = es.er_id
                        and cr.child_entity_id <> -1
                        and (es.matched_entity_id = sc.conf_entity1
                           or es.matched_entity_id = sc.conf_entity2)
                        and sc.weak_rel_score = es.rel_score 
                        and sc.weak_like_score = es.like_score)  
          when sc.degree_of_sep = 1 
                    and exists (select 1  from sep_relations r
                                           where sc.conf_entity1 = r.entity_id and sc.conf_entity2 = r.relto_id)
          then  (select min(es.mm_rule_id) from sep_relations r, er_entity_score es 
                where sc.degree_of_sep = 1
                     and sc.conf_entity1 = r.entity_id and sc.conf_entity2 = r.relto_id
                    and r.match_id = es.er_id
                    and (es.matched_entity_id = sc.conf_entity1 or es.matched_entity_id = sc.conf_entity2)
	            and sc.weak_rel_score = es.rel_score 
  	  	    and sc.weak_like_score = es.like_score)
          when sc.degree_of_sep = 1 
                    and exists (select 1  from sep_relations r
                                           where sc.conf_entity1 = r.entity_id and sc.conf_entity1 = r.relto_id)
          then  (select min(es.mm_rule_id) from sep_relations r, er_entity_score es
                where sc.degree_of_sep = 1
                    and sc.conf_entity2 = r.entity_id and sc.conf_entity1 = r.relto_id
                    and r.match_id = es.er_id
                    and (es.matched_entity_id = sc.conf_entity1 or es.matched_entity_id = sc.conf_entity2)
	           and sc.weak_rel_score = es.rel_score 
  		   and sc.weak_like_score = es.like_score)
           else
        -99 end)  as mm_rule_id
  from sep_conflict sc
GO
--DROP VIEW VIS_INBOX_ROLE_ALERT_RAW
--GO
Create view VIS_INBOX_ROLE_ALERT_RAW 
AS
select sc.CONFLICT_ID,sc.SEP_TEST_ID,sc.INBOUND_ENTITY_ID,
        sc.CONFLICT_RULE_ID,sc.CONF_ENTITY1,sc.CONF_ENTITY2,
        sc.DEGREE_OF_SEP,sc.CONFLICT_DT,sc.CONFLICT_STAT,
        sc.CONFLICT_STAT_DT,sc.DISP_STAT,sc.DISP_COMMENTS,
        sc.DISP_USER_ID,sc.DISP_DT,sc.WEAK_LINK, sc.WEAK_REL_SCORE as WEAK_REL_SCORE,
        sc.WEAK_LIKE_SCORE,sc.PATH_STRENGTH,sc.ALERTED,
        sc.PRIMARY_CONFLICT_ID, 
       (select  mm_rule_id from vis_inbox_get_rule r where r.conflict_id = sc.conflict_id) as mm_rule_id,
       (case when exists (select 1 from app_send where source_id = sc.CONFLICT_ID and source_type = 'CONFLICT')
            then 
                  (select send_group from app_send where source_id = sc.CONFLICT_ID and source_type = 'CONFLICT')
            else
                   (select ag.app_group from app_conflict_group ag  where sc.conflict_rule_id =ag.app_conflict_rule_id)
            end) as app_group        
from sep_conflict sc 
where (weak_like_score > 0 or weak_rel_score > 0)  
    and sc.conflict_stat IN (select act_code from app_activity_codes where act_status_code = 'OPEN' and source_type = 'CONFLICT')
GO
--DROP VIEW VIS_INBOX_ROLE_ALERT
--GO
Create view VIS_INBOX_ROLE_ALERT
AS 
select sc.CONFLICT_ID,         
       sc.SEP_TEST_ID,
       sc.INBOUND_ENTITY_ID,
       sc.CONFLICT_RULE_ID,
       sc.CONF_ENTITY1,
       sc.CONF_ENTITY2,
       sc.DEGREE_OF_SEP,
       sc.CONFLICT_DT,
       sc.CONFLICT_STAT,
       sc.CONFLICT_STAT_DT,
       sc.DISP_STAT,
       sc.DISP_COMMENTS,
       sc.DISP_USER_ID,
       sc.DISP_DT,
       sc.WEAK_LINK,
       sc.weak_rel_score  as weak_rel_score,
       sc.WEAK_LIKE_SCORE,
       sc.PATH_STRENGTH,
       sc.ALERTED,
       sc.PRIMARY_CONFLICT_ID,
       sc.MM_RULE_ID,
      (select cr.conflict_rules_desc from conflict_rules cr where cr.conflict_rules_id = sc.conflict_rule_id ) as conflict_rules_desc,   
      (case           
           when sc.mm_rule_id > -1
           then (select mmr.mm_rule_desc from match_merge_rules mmr
                 where mmr.mm_rule_id = sc.mm_rule_id)
           when (sc.mm_rule_id is null and sc.degree_of_sep = 0)
            then      'Account reloaded'
	 else ('DSN' + ' - ' + cast(sc.degree_of_sep as char) ) 
           end )   as mm_rule_desc,
	sc.APP_GROUP,
        (select conflict_rules_sev  from conflict_rules cr where cr.conflict_rules_id = sc.conflict_rule_id) as conflict_rules_sev,
        (select min_alert_threshold from conflict_rules cr where cr.conflict_rules_id = sc.conflict_rule_id) as min_alert_threshold
      from VIS_INBOX_ROLE_ALERT_RAW sc
      where mm_rule_id > -99
GO
DROP VIEW VIS_RA_UNASGN_SUM
GO
Create view VIS_RA_UNASGN_SUM
as
SELECT
sc.conflict_rule_id, sc.mm_rule_id, sc.weak_rel_score, sc.weak_like_score,
sc.path_strength, sc.degree_of_sep, sc.alerted, sc.conflict_stat, sc.app_group, count(*) as cnt,
sc.conflict_rules_desc, 
sc.min_alert_threshold,
sc.mm_rule_desc
FROM vis_inbox_role_alert sc
WHERE sc.mm_rule_id > -2
group by
sc.conflict_rule_id, sc.mm_rule_id, sc.weak_rel_score, sc.weak_like_score,
sc.path_strength, sc.degree_of_sep, sc.alerted, sc.conflict_stat, sc.app_group,
sc.conflict_rules_desc, 
sc.min_alert_threshold,
sc.mm_rule_desc
GO
--DROP INDEX ER_HISTORY.IX_ER_HIST_ACCT_ID
--GO
CREATE INDEX IX_ER_HIST_ACCT_ID ON ER_HISTORY (
	DSRC_ACCT_ID, ER_ID
)
GO
create view VIS_DSRC_ACCT as (
select 
    d.*,
    (case 
        when d.SRC_CREATE_DT is null 
            then d.SYS_CREATE_DT 
        else 
            d.SRC_CREATE_DT
     end) AS display_dt
from 
    DSRC_ACCT d )
GO
